@import "vendor/bootstrap/bootstrap/variables";
@import "variables";

body {
  overflow-x: hidden;
}

.speaker-container {
  display: flex;

  &:not(:first-child) {
    margin-top: 50px;
  }

  .speaker-name {
    color: $color-gray;
  }

  .speaker-image-container {
    border-radius: $border-radius-circle;
    width: 160px;
    height: 160px;
    overflow: hidden;
    flex-shrink: 0;
    margin-right: 40px;

    @media all and (max-width: $screen-sm-min) {
      margin-right: 0;
      margin-bottom: 40px;
    }

  }

  .speaker-time-place {

    .spacer {
      margin: 0 10px;

      @media all and (max-width: $screen-sm-min) {
        display: none;
      }

    }

    @media all and (max-width: $screen-sm-min) {
      flex-direction: column;
      margin-bottom: 20px;

      p {
        margin: 0;
      }

    }

  }

  @media all and (max-width: $screen-sm-min) {
    flex-direction: column;
  }

}

.event-logo {
  height: 60px;
  margin-bottom: 30px;
}

.blank-header {
  padding: 80px 20px;
  padding-bottom: 160px;
  background-size: cover;
  position: relative;

  .header-content {
    z-index: 1;
  }

  &::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: $modal-overlay-color;
  }
}

.gitlab-content-container {
  padding-top: 0;
  transform: translateY(-100px);
}

.event-details {
  display: flex;
  align-items: flex-start;

  .tile-content {

    @media all and (max-width: $screen-md-min) {
      padding: 0 20px;
    }

    @media all and (max-width: $screen-sm-min) {
      padding: 40px 0;
    }

  }

  .tile-content:not(:first-child) {
    border-left: 1px solid $color-gray-extra-light;

    @media all and (max-width: $screen-sm-min) {
      border-left: 0;
      border-top: 1px solid $color-gray-extra-light;
    }

  }

  @media all and (max-width: $screen-sm-min) {
    flex-wrap: wrap;
    padding: 0 40px;
  }

}

.event-form-container {

  .browser-render {
    font-size: 13px;
  }

  @media all and (max-width: $screen-sm-min) {
    margin-top: 50px;
  }

}

.body-content {
  padding-right: 80px;

  h3:first-child {
    margin-top: 0;
  }

}
